/********* App2App.m Cordova Plugin Implementation *******/

#import <Cordova/CDV.h>

@interface App2App : CDVPlugin {
  // Member variables go here.
}

- (void)coolMethod:(CDVInvokedUrlCommand*)command;
@end

@implementation App2App

- (void)coolMethod:(CDVInvokedUrlCommand*)command
{
    CDVPluginResult* pluginResult = nil;
    NSString* echo = [command.arguments objectAtIndex:0];

    if (echo != nil && [echo length] > 0) {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK messageAsString:echo];
    } else {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR];
    }

    [self goUFO:echo];

    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

//- (void)goUFO:(id)sender
- (void)goUFO:(NSString*)message
{

    //UFO 호출
    NSString *appScheme = [NSString stringWithFormat:@"%@",@"ufotown://"];
    
    BOOL isInstall = [[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:appScheme]];
    
    NSLog(@"Bool value: %d",  isInstall);
    
    
    if(isInstall){
        NSLog(@"goUFO");
        
        //앱이 있을시
        NSString *appScheme = [NSString stringWithFormat:@"%@%@",@"ufotown://",message];
        [[UIApplication sharedApplication] openURL: [NSURL URLWithString:appScheme]];
    }
    else{
        //앱이 없을시
        NSLog(@"goStore");
        //        [[[UIAlertView alloc] initWithTitle:@"UFO TOWN 설치안내"
        //                                    message:@"UFO TOWN 앱이 설치되어 있지 않습니다. 스토어에서 다운받으세요."
        //                                   delegate:nil
        //                          cancelButtonTitle:@"Ok"
        //                          otherButtonTitles: nil] show];
        //
        NSString *appUrl= @"https://itunes.apple.com/us/app/ufo-town-yuepeuotaun/id1044918956?l=ko&ls=1&mt=8";
        [[UIApplication sharedApplication] openURL:[NSURL URLWithString:appUrl]];
        
    }
    
    //UFO호출 @
    
}

@end
